How to Change php.ini


#1

I now have the ps option and wanted to know how i can change php.ini

i am having problems with one of my wordpress themes (Thesis) … whenever i make any slight change to the options I get a Request Entity Too Large error (cut and pasted below)

Request Entity Too Large
The requested resource
/wp-admin/admin-post.php
does not allow request data with POST requests, or the amount of data provided in the request exceeds the capacity limit.

Thesis support said i needed to do the following:

“If you have access to your PHP.ini file, change the line in PHP.ini
If your line shows 32M try 64M:
memory_limit = 64M ; Maximum amount of memory a script may consume (64MB)”

How can i do this? i’m not sure where this file is.


#2

This is how I create a modified PHP.ini:
http://sxi.sabrextreme.com/phpini


#3

Problem is fixed. Thank you very much :slight_smile:


#4

This didn’t work for me. Is there a certain amount of time that I need to wait for this to activate, does it only work if you’re using Thesis, or did I do something wrong? Here’s what I did:

  1. Went here: http://sxi.sabrextreme.com/phpini
  2. Clicked on “yes I need this”
  3. Clicked on “download now”
  4. Saved zipped dh-phpini.php folder to my desktop
  5. Unzipped it
  6. Uploaded dh-phpini.ph to my website folder using Filezille
  7. Opened http://myurl.com/dh-phpini.php
  8. Received “Installation Complete” message
  9. Clicked on “view phpinfo ()”
  10. Opened my site again and tried the same thing that’s been giving me the 413 error for weeks.
  11. Received 413 error again: Request Entity Too Large
    The requested resource
    /wp-admin/admin.php
    does not allow request data with POST requests, or the amount of data provided in the request exceeds the capacity limit.
  12. Sent this message to get help.

I use Frugal 6. I too am making a very small change to my main options. Dreamhost tech support told me the same thing that Thesis support told the person who originated this thread, then gave me directions I didn’t understand and that they said probably wouldn’t work anyway. Frugal support referred me to the opening thread of this post.

Please help!

Thanks.